gnutls_kx_list(3)

NAME
gnutls_kx_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_kx_algorithm_t * gnutls_kx_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of supported key exchange algorithms. This function is not thread safe.

RETURNS
a (0)-terminated list of gnutls_kx_algorithm_t integers indicating the available key exchange algorithms.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/